Subject: Re: bug#16830: [Bug] 24.3.50; massive slow down in forward-line

From: martin rudalics <[email-masked]>
Date: Tue, 11 Mar 2014 09:08:55 +0100

> Until we can dynamically estimate the line length and turn the cache
 > on only for long lines, I suggest to leave the default ON, and install
 > the patches below.  My reasoning is that in most situations the
 > slow-down is negligible, while for very long lines the speedup can be
 > significant.

In general I inspect long lines only in bug reports.  Is that sufficient
reason to not follow the advice

    There is no reason to set this to nil except for debugging purposes.

after your patch is applied?

 > And here are the patches I propose.  (Note that I only handled the
 > forward scan; the backward scan is used much less, so I left it alone,
 > but if someone thinks the asymmetry might be confusing, I can do the
 > same surgery with backward scan.)

Thanks for the work.  If it's not difficult, I think the backward scan
should be fixed too.  And I strongly favor to install this for 24.4.

martin